package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterReservoirConsumption;
import com.lightinit.hsdatashow.entity.StWaterReservoirConsumptionExample;
import com.lightinit.hsdatashow.model.topic.water.ShuiKuYongshuiModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StWaterReservoirConsumptionMapper {
    long countByExample(StWaterReservoirConsumptionExample example);

    int deleteByExample(StWaterReservoirConsumptionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterReservoirConsumption record);

    int insertSelective(StWaterReservoirConsumption record);

    List<StWaterReservoirConsumption> selectByExample(StWaterReservoirConsumptionExample example);

    StWaterReservoirConsumption selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterReservoirConsumption record, @Param("example") StWaterReservoirConsumptionExample example);

    int updateByExample(@Param("record") StWaterReservoirConsumption record, @Param("example") StWaterReservoirConsumptionExample example);

    int updateByPrimaryKeySelective(StWaterReservoirConsumption record);

    int updateByPrimaryKey(StWaterReservoirConsumption record);

    List<ShuiKuYongshuiModel> getYueyongshui(@Param("month") int month);

    List<String> getShuikuNzames(@Param("month") int month);
}